PAPI_event_info_t(3)

NAME
PAPI_event_info_t -

SYNOPSIS

  Data Fields

unsigned int event_code
char symbol [1024]
char short_descr [64]
char long_descr [1024]
int component_index
char units [64]
int location
int data_type
int value_type
int timescope
int update_type
int update_freq
unsigned int count
unsigned int event_type
char derived [64]
char postfix [256]
unsigned int code [12]
char name [12][256]
char note [1024]

Field Documentation

  unsigned int PAPI_event_info_t::code[12]
array of values that further describe the event:

•   presets: native event_code values

•   native:, register values(?)

  int PAPI_event_info_t::component_index
component this event belongs to

  unsigned int PAPI_event_info_t::count
number of terms (usually 1) in the code and name fields

•   presets: these are native events

•   native: these are unused

  int PAPI_event_info_t::data_type
data type returned by PAPI

  char PAPI_event_info_t::derived[64]
name of the derived type

•   presets: usually NOT_DERIVED

•   native: empty string

  unsigned int PAPI_event_info_t::event_code
preset (0x8xxxxxxx) or native (0x4xxxxxxx) event code

  unsigned int PAPI_event_info_t::event_type
event type or category for preset events only

  int PAPI_event_info_t::location
location event applies to

  char PAPI_event_info_t::long_descr[1024]
a longer description: typically a sentence for presets, possibly a paragraph from vendor docs for native events

  char PAPI_event_info_t::name[12][256]
< names of code terms: - presets: native event names,

•   native: descriptive strings for each register value(?)

  char PAPI_event_info_t::note[1024]

  an optional developer note
                    supplied with a preset event
                    to delineate platform specific

 anomalies or restrictions

  char PAPI_event_info_t::postfix[256]
string containing postfix operations; only defined for preset events of derived type DERIVED_POSTFIX

  char PAPI_event_info_t::short_descr[64]
a short description suitable for use as a label

  char PAPI_event_info_t::symbol[1024]
name of the event

  int PAPI_event_info_t::timescope
from start, etc.

  char PAPI_event_info_t::units[64]
units event is measured in

  int PAPI_event_info_t::update_freq
how frequently event is updated

  int PAPI_event_info_t::update_type
how event is updated

  int PAPI_event_info_t::value_type
sum or absolute

Author

Generated automatically by Doxygen for PAPI from the source code.